Subject: Re: bug#60557: [PATCH] Fix eglot prompt when connection already exists

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jan 2023 16:54:14 +0200

> From: João Távora <[email-masked]>
> Date: Mon, 16 Jan 2023 14:42:25 +0000
> Cc: [email-masked], [email-masked]
> 
> >   In eglot:
> >   progmodes/eglot.el:1078:44: Warning: Unused lexical argument `interactive'
> >
> > because the INTERACTIVE argument is now unused. 
> 
> You're right, I missed that. Sorry.
>  
> > Should it be renamed to _interactive?
> 
> Yes, that would be fine.  As would removing  the argument entirely. 
> 
> M-x eglot is _not_ meant  to be called from Lisp at at all, but some time 
> ago I found at least one user on emacs-devel was doing so.  So removing 
> it may break some code (that is probably already broken anyway, but still...).

I renamed it and updated the doc string to that effect.

Closing.